NativeToolChainRegistry (Gradle API 4.7)
Date: 2018-04-18

org.gradle.nativeplatform.toolchain

## Interface NativeToolChainRegistry

- All Superinterfaces:
    Collection<NativeToolChain>, org.gradle.util.Configurable<NamedDomainObjectContainer<NativeToolChain>>, DomainObjectCollection<NativeToolChain>, ExtensiblePolymorphicDomainObjectContainer<NativeToolChain>, Iterable<NativeToolChain>, NamedDomainObjectCollection<NativeToolChain>, NamedDomainObjectContainer<NativeToolChain>, org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry<NativeToolChain>, NamedDomainObjectSet<NativeToolChain>, PolymorphicDomainObjectContainer<NativeToolChain>, Set<NativeToolChain>, ToolChainRegistry<NativePlatform,NativeToolChain>

      @Incubating
      public interface NativeToolChainRegistry
      extends ExtensiblePolymorphicDomainObjectContainer<NativeToolChain>, ToolChainRegistry<NativePlatform,NativeToolChain>

  A container for `NativeToolChain`s.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.ExtensiblePolymorphicDomainObjectContainer

      `registerBinding, registerFactory, registerFactory`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods inherited from interface org.gradle.platform.base.ToolChainRegistry

      `getForPlatform`